> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juicyway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a standing order



## OpenAPI

````yaml /openapi.json patch /exchange/standing-orders/{id}
openapi: 3.0.0
info:
  title: Juicyway API
  version: 1.0.0
servers: []
security: []
tags:
  - description: Payment APIs
    name: payments
  - description: Payouts APIs
    name: payouts
  - description: Exchange APIs
    name: exchange
  - description: Wallets APIs
    name: wallets
paths:
  /exchange/standing-orders/{id}:
    patch:
      tags:
        - exchange
      summary: Update a standing order
      operationId: Exchange.Web.StandingOrderController.update
      parameters:
        - description: Id
          example: b207fc34-25d7-439b-802d-158aff4b4bb5
          in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateStandingOrderParams'
        description: Standing order update params
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandingOrderResponse'
          description: StandingOrder
        '422':
          $ref: '#/components/responses/unprocessable_entity'
      callbacks: {}
components:
  schemas:
    UpdateStandingOrderParams:
      description: Standing Order update params
      example:
        archived: false
        qty: 1
        strict: true
      properties:
        archived:
          type: boolean
        low_watermark_qty:
          description: Minimum quantity level to inform market maker, in base currency
          type: number
        min_qty:
          description: Minimum quantity to be traded at a go, in base currency
          nullable: true
          type: number
        qty:
          description: Order quantity, denominated in the base currency
          type: number
        strict:
          description: Should always open orders == qty or not
          type: boolean
      required:
        - type
        - symbol
        - strict
        - low_watermark_qty
      title: UpdateStandingOrderParams
      type: object
    StandingOrderResponse:
      description: Response schema for a single standing order
      properties:
        data:
          $ref: '#/components/schemas/StandingOrder'
      title: StandingOrderResponse
      type: object
    StandingOrder:
      description: An order
      example:
        archived: false
        created_at: '2023-12-23T17:55:42.911'
        entity:
          id: 6ebe0a0f-bb8f-49be-80ea-c6b72c348fea
          type: business
        id: 7da75a46-a1bc-11ee-9a32-560f156a658b
        low_watermark_qty: 1
        min_qty: null
        qty: 3
        strict: false
        symbol: USD-NGN
        type: buy
        updated_at: '2023-12-23T17:55:42.911'
      properties:
        archived:
          description: Order is archived or not
          type: boolean
        created_at:
          description: Creation timestamp
          format: date-time
          type: string
        entity:
          properties:
            id:
              description: Account id
              type: string
            type:
              description: Account type
              enum:
                - business
                - personal
              type: string
          type: object
        id:
          description: Standing order ID
          type: string
        low_watermark_qty:
          description: Minimum quantity level to inform market maker, in base currency
          type: number
        min_qty:
          description: Minimum quantity to be traded at a go, in base currency
          nullable: true
          type: number
        qty:
          description: StandingOrder quantity, denominated in the base currency
          nullable: true
          type: number
        strict:
          description: Should always open orders == qty or not
          type: boolean
        symbol:
          description: Currency pair
          type: string
        type:
          description: StandingOrder type
          enum:
            - sell
            - buy
          type: string
        updated_at:
          description: Update timestamp
          format: date-time
          type: string
      title: StandingOrder
      type: object
  responses:
    unprocessable_entity:
      content:
        application/json:
          schema:
            type: object
      description: Unprocessable Entity

````